Name:          cli-parser
Version:       1.1.2
Release:       %mkrel 7
Group:         Development/Java
Summary:       Command Line Interface Parser for Java
License:       ASL 2.0
URL:           https://github.com/spullara/cli-parser
Source0:       https://github.com/spullara/cli-parser/archive/%{name}-%{version}.tar.gz

# Test deps
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local
BuildArch:     noarch

%description
An annotation-based command line interface parser.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

%pom_remove_plugin :maven-gpg-plugin

%mvn_file : %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md

%files javadoc -f .mfiles-javadoc
%doc README.md



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.1.2-7.mga6
+ Revision: 982245
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.1.2-6.mga6
+ Revision: 975753
- First rebuild of the java stack
- sync package cli-parser with fedora
- imported package cli-parser


* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 13 2015 gil cattaneo <puntogil@libero.it> 1.1.2-3
- fix Url tag

* Fri Jan 30 2015 gil cattaneo <puntogil@libero.it> 1.1.2-2
- introduce license macro

* Thu Jun 12 2014 gil cattaneo <puntogil@libero.it> 1.1.2-1
- 1.1.2

* Sun Nov 03 2013 gil cattaneo <puntogil@libero.it> 1.1.1-1
- initial rpm
